-- Location Bot
--
-- Douglas Thrift
--
-- $Id: 63a3ae261bbde0f8851432737c06b5e2cdadb671 $

create schema locationbot;

create table locationbot.nick (
	id serial primary key,
	nick text not null unique,
	secret char(32) not null,
	masks text[],
	channels text[],
	timezone text,
	location text,
	coordinates point,
	updated timestamp with time zone,
	latitude bigint
);

create index nick_location_index on locationbot.nick (location);
create index nick_updated_index on locationbot.nick (updated);
create index nick_latitude_index on locationbot.nick (latitude);
